Subject: Re: bug#13041: 24.2; diacritic-fold-search

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Dec 2012 14:40:05 +0200

> Date: Sat, 08 Dec 2012 12:35:37 +0100
> From: martin rudalics <[email-masked]>
> CC: Juri Linkov <[email-masked]>, [email-masked], [email-masked], 
>  [email-masked]
> 
>  > I don't know if it's more difficult.  After all, the primitives you
>  > need to (a) find out whether there's a display string at given buffer
>  > position, and (b) access its text, are already there, ready to be
>  > used.  Moreover, there's even a C function that searches the current
>  > buffer for a specific Lisp string, which you could use as a model for
>  > this feature.
> 
> I think that mirroring/cloning (part of) the current buffer in a special
> search buffer would be the cheapest solution.  The search buffer would
> contain the normalized text, be built only when normalization is
> needed and be rebuilt whenever a search option or the buffer text
> changes.

Maybe this is the cheapest, but it still needs the same support the
other alternatives do.